@font-face {
    font-family: "Nunito";
    src: url("Nunito-Regular.ttf");
	font-weight: normal;
	font-display: swap;
}
@font-face {
    font-family: "Nunito";
    src: url("Nunito-SemiBold.ttf");
	font-weight: 600;
	font-display: swap;
}
@font-face {
    font-family: "Nunito";
    src: url("Nunito-ExtraBold.ttf");
	font-weight: 800;
	font-display: swap;
}

:root {
	--teal: #cff6ff;
	--blue: #045a81;
	--bg-color: #edf0f3;
	--font-color: #161718;

	--max-width: 1080px;
}
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
body {
	display: flex;
    flex-flow: column;
	min-height: 100vh;
    font-family: "Nunito", sans-serif;
	font-size: 1rem;
	color: var(--font-color);
	background-color: var(--bg-color);
}
input, button {
	color: var(--font-color);
	font-family: "Nunito", sans-serif;
}
main {
	flex: 1;
	width: 100%;
	max-width: calc(var(--max-width) + 2rem);
	margin: 0 auto;
	padding: 0 1rem;
}
h1 {
	text-align: center;
    line-height: 2rem;
	text-wrap-style: pretty;
}
p > a {
	color: #912d00;
}
.button {
	padding: 0.25rem 1rem;
    color: #fff;
    font-weight: 600;
	cursor: pointer;
	border: none;
    border-radius: 0.375rem;
    background-color: #9d3100;
}
.button:hover {
	background-color: #af3903;
}

#search {
	position: relative;
	display: flex;
	width: 100%;
	max-width: 410px;
	margin: 0 auto;
    border-radius: 1.5rem;
	background-color: #fff;
}
.search-icon {
    width: 1rem;
    height: 1rem;
    margin: 0.625rem 0.5rem 0.625rem 0.625rem;
}
.search-icon svg {
    display: block;
    width: 100%;
    height: 100%;
    fill: #c5c8cc;
}
#search input[type="search"] {
    width: 100%;
    font-weight: 600;
	font-size: 1rem;
    border: none;
    outline: none;
    background: none;
}
#search input[type="search"]::placeholder {
    color: #b3b6bb;
}
#search input[type="submit"] {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 0;
    height: 0;
    visibility: hidden;
}

/****** NAVIGATION ******/
#topNav {
	height: 54px;
	width: 100%;
	color: #fff;
	background-color: var(--blue);
}
#topNav > div {
	position: relative;
	display: flex;
	align-items: center;
    justify-content: space-between;
	gap: 0.5rem;
	width: 100%;
	max-width: calc(var(--max-width) + 2rem);
	margin: 0 auto;
}

#iconHome {
	padding: 0.8125rem 0.625rem 0.8125rem 1rem;
}
#iconHome img {
	display: block;
}

#navMenuButton {
	padding: 1.125rem 1rem 1.125rem 1.125rem;
    border: none;
	cursor: pointer;
    background-color: transparent;
}
#navIcon {
	position: relative;
	z-index: 1001;
	/* width: 22px;
    height: 22px;
	background: linear-gradient(to bottom,
		transparent 12.5%,
		currentColor 12.5% calc(500% / 22),
		transparent calc(500% / 22) calc(1700% / 22),
		currentColor calc(1700% / 22) 87.5%,
		transparent 87.5%
	) center no-repeat; */
	width: 20px;
    height: 18px;
	background: linear-gradient(to bottom,
		transparent 12.5%,
		currentColor 12.5% calc(450% / 18),
		transparent calc(450% / 18) calc(1370% / 18),
		currentColor calc(1370% / 18) 87.5%,
		transparent 87.5%
	) center no-repeat;
	background-size: 100% 100%;
	color: #fff;
	transition: 0.15s ease-in-out;
	transition-property: background-size, color;
}
#navIcon::before,#navIcon::after {
	content: " ";
	display: block;
	position: absolute;
	height: 2px;
	width: 100%;
	top: 10px;
	top: 8px;
	left: 0;
	background-color: currentColor;
	transform: rotate(0deg);
	transition: 0.15s ease-in-out;
	transition-property: background-color, transform;
}
#sideNav.open + #navMenuButton #navIcon {
	background-size: 0 0;
}
#sideNav.open + #navMenuButton #navIcon::before {
	transform: rotate(45deg);
}
#sideNav.open + #navMenuButton #navIcon::after {
	transform: rotate(-45deg);
}

#sideNav {
    display: none;
    position: absolute;
    top: 50px;
    right: 0.75rem;
    width: calc(50% - 0.75rem);
	max-width: 300px;
    padding: 0.75rem;
    z-index: 1001;
    list-style: none;
	text-align: center;
    border-radius: 0.75rem;
    background-color: #fff;
	box-shadow: 0 0 10px 4px hsl(198.72deg 100% 11.1% / 20%);
}
#sideNav.open {
	display: block;
}

#sideNav a {
	display: block;
	width: 100%;
	padding: 0.5rem 0;
	font-weight: 600;
	color: var(--font-color);
	text-decoration: none;
}
#sideNav a:hover {
	color: #9d3100;
}

#sideNavOverlay {
	display: none;
	position: fixed;
	z-index: 999;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background-color: rgb(0 0 0 / 35%);
}
#sideNavOverlay.open {
	display: block;
}

#aboutPage {
	max-width: 728px;
	margin: 2rem auto;
}
#aboutPage p {
	margin: 1.5rem 0;
}
#aboutPage img {
	display: block;
	margin: 0 auto;
}

footer {
	position: relative;
	margin-top: 2rem;
	padding: 1rem 1rem 2rem;
	text-align: center;
	font-size: 0.875rem;
	background-color: #dee3e7;
}
footer p {
	margin: 1rem 0;
}
#footerLinks {
	display: inline-flex;
	flex-flow: row wrap;
	justify-content: center;
	gap: 0.5rem 1rem;
}
footer a {
	color: var(--font-color);
	text-decoration: none;
}
footer button {
	border: none;
    font-size: inherit;
    background-color: transparent;
}
#siteVersion {
	position: absolute;
    bottom: 0.5rem;
    right: 1rem;
    margin: 0;
    font-size: 0.75rem;
}

#cookieBanner {
	display: none;
	position: fixed;
    bottom: 1.5rem;
    left: 50%;
    width: calc(100% - 1.5rem);
    max-width: calc(var(--max-width) + 1.5rem);
    padding: 1rem;
    border-radius: 0.75rem;
    border: 1px solid 0 0 hsl(198.72deg 100% 9.92% / 15%);
    background-color: #ffffff;
    box-shadow: 0 0 4px 3px hsl(198.72deg 100% 9.92% / 10%);
	transform: translateX(-50%);
}
#cookieBanner h2 {
	font-size: 1.125rem;
}
#cookieBanner p {
	margin: 0.75rem 0 1rem;
	font-size: 0.875rem;
	line-height: 1rem;
}
#cookieBanner > div {
	display: flex;
	gap: 0.5rem;
}
#cookieBanner button {
	font-size: 0.875rem;
}